Bug 961223 - (ocrfeeder) Review Request: ocrfeeder - A document layout analysis and optical character recognition system [NEEDINFO]
Review Request: ocrfeeder - A document layout analysis and optical character ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 03:48 EDT by Christopher Meng
Modified: 2016-02-29 10:00 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 10:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review?
i: needinfo? (jrocha)


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-09 03:48:32 EDT
Spec URL: http://cicku.me/ocrfeeder.spec
SRPM URL: http://cicku.me/ocrfeeder-0.7.11-1.fc20.src.rpm
Description: OCRFeeder is a document layout analysis and optical character recognition 
system. Given the images it will automatically outline its contents, 
distinguish between what's graphics and text and perform OCR over the latter.
It generates multiple formats being its main one ODT. And it features a 
complete GTK graphical user interface that allows the users to correct 
any unrecognized characters, defined or correct bounding boxes, set paragraph 
styles, clean the input images, import PDFs, save and load the project, 
export everything to multiple formats, etc.
Fedora Account System Username: cicku
Comment 1 Gwyn Ciesla 2013-05-09 07:11:05 EDT
SRPM and linked spec differ.  Which is correct?
Comment 2 Christopher Meng 2013-05-09 07:16:01 EDT
(In reply to comment #1)
> SRPM and linked spec differ.  Which is correct?

Can you check again? I've re-uploaded them.
Comment 3 Gwyn Ciesla 2013-05-09 07:19:27 EDT
2c2
< Summary:            A document layout analysis and optical character recognition system
---
> Summary:            Optical Character Recognition program
35,39c35
< It generates multiple formats being its main one ODT. And it features a 
< complete GTK graphical user interface that allows the users to correct 
< any unrecognized characters, defined or correct bounding boxes, set paragraph 
< styles, clean the input images, import PDFs, save and load the project, 
< export everything to multiple formats, etc.
---
> It generates multiple formats being its main one ODT.
42a39
> autoreconf -fiv
Comment 4 Christopher Meng 2013-05-09 07:25:32 EDT
It's really weird because I've uploaded rpmbuild -ba things.

The things like autoreconf is the second last change but it has been replaced by the latest one.

I just downloaded them and ensured that they are same now.

Are you sure?
Comment 5 Christopher Meng 2013-05-09 07:44:34 EDT
(In reply to comment #3)

Have you downloaded the latest one?

It seems no problem now.
Comment 6 Gwyn Ciesla 2013-05-09 07:44:54 EDT
They match now.
Comment 7 Gwyn Ciesla 2013-05-09 08:51:35 EDT
! rpmlint checks return:

Clean for spec and SRPM.
RPMs:
The package should be of the noarch architecture because it doesn't contain
any binaries.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/odfmanifest.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/manifest.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/odf2xhtml.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/userfield.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/element.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/thumbnail.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/ocrfeeder/odf/load.py 0644L /usr/bin/python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

ocrfeeder.x86_64: E: invalid-desktopfile /usr/share/applications/ocrfeeder.desktop value "0.5" for key "Version" in group "Desktop Entry" is not a known version
.desktop file is not valid, check with desktop-file-validate

ocrfeeder-debuginfo.x86_64: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

These should all be fixed.  debuginfo will be fixed if the package is made noarch.

- package meets naming guidelines
- package meets packaging guidelines
! license listed as GPLv3, should be GPLv3+ and LGPLv2+
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR  ##### I'll verify this after the other things are fixed.
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
Comment 8 Christopher Meng 2013-05-09 10:31:36 EDT
I've CCed the author, Joaquim Rocha, which just became an employee of RH just now.
Comment 9 Joaquim Rocha 2013-05-10 04:35:42 EDT
Hi Christopher,

I'll have too look into those complaints later. I have never touched the permissions of those files and, at least from Debian's packager, I received no complains. Should these be ignored? Could you test generating an ODT file to make sure it works?

If those should be ignored, is there anything else that really needs to be fixed?

About the RPM, there's a package built in OpenSuse's Service here (in case you want to take a look): https://build.opensuse.org/package/show?package=OCRFeeder&project=home%3Ajsuarezr%3AOCRFeeder


Thanks a lot for packaging it for Fedora!
Comment 10 Gwyn Ciesla 2013-09-06 10:39:04 EDT
Any updated on this?
Comment 11 Christopher Meng 2013-09-06 11:24:45 EDT
I can patch it for pillow but I still want upstream to do this.
Comment 12 Felix Schwarz 2014-01-22 04:06:41 EST
I submitted a (completely untested) patch upstream to fix the pillow incompatibility: https://bugzilla.gnome.org/show_bug.cgi?id=712671 .
Comment 13 Christopher Meng 2014-01-22 21:45:13 EST
(In reply to Felix Schwarz from comment #12)
> I submitted a (completely untested) patch upstream to fix the pillow
> incompatibility: https://bugzilla.gnome.org/show_bug.cgi?id=712671 .

I don't work on this package now because I think upstream(See comment 9) doesn't show any interests on his project now.
Comment 14 Orion Poplawski 2014-01-22 22:41:39 EST
Christopher - if you are no longer working on this, please close it NOTABUG.
Comment 15 Christopher Meng 2014-01-22 22:51:27 EST
(In reply to Orion Poplawski from comment #14)
> Christopher - if you are no longer working on this, please close it NOTABUG.

Don't sweat it, I will take care of my business well.

Thanks.
Comment 16 Gwyn Ciesla 2014-06-03 16:15:52 EDT
Any updates?
Comment 17 Joaquim Rocha 2014-07-05 18:32:06 EDT
Hey folks,

I have neglected the project for a while due to several reasons, including having had a daughter, but I am now making an effort to release the next OCRFeeder's version.

The pillow bug is fixed in the introspection branch already as I commented in https://bugzilla.gnome.org/show_bug.cgi?id=712671 last January. I never got an answer to my comment regarding the permissions above.

Next release will be based on upstream branch "introspection".

Please let me know what is still needed for making the packaging easier.
Comment 18 Christopher Meng 2014-08-01 05:28:36 EDT
(In reply to Joaquim Rocha from comment #17)
> Hey folks,
> 
> I have neglected the project for a while due to several reasons, including
> having had a daughter, but I am now making an effort to release the next
> OCRFeeder's version.
> 
> The pillow bug is fixed in the introspection branch already as I commented
> in https://bugzilla.gnome.org/show_bug.cgi?id=712671 last January. I never
> got an answer to my comment regarding the permissions above.
> 
> Next release will be based on upstream branch "introspection".
> 
> Please let me know what is still needed for making the packaging easier.

I'm waiting for 0.7.12, I don't want to package snapshot now.

When you finish the port and cleanup, ping me here again.
Comment 19 Kalev Lember 2014-08-10 06:25:08 EDT
ocrfeeder 0.8 is out.
Comment 20 Gwyn Ciesla 2015-09-20 17:18:12 EDT
Is this ready for more progress?
Comment 21 Joaquim Rocha 2015-09-21 04:05:51 EDT
I have released OCRFeeder 0.8.1 almost a year ago, it has the introspection branch merged. Although there are some bugs that I should tackle when I have time, I think it'd be good to have it packaged.
Comment 22 Gwyn Ciesla 2016-02-29 10:00:57 EST
Submitted non-responsive.

Note You need to log in before you can comment on or make changes to this bug.